> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.hellosign.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.hellosign.com/_mcp/server.

# Create Embedded Unclaimed Draft

POST https://api.hellosign.com/v3/unclaimed_draft/create_embedded
Content-Type: application/json

Creates a new Draft that can be claimed and used in an embedded iFrame. The first authenticated user to access the URL will claim the Draft and will be shown the "Request signature" page with the Draft loaded. Subsequent access to the claim URL will result in a `404`. For this embedded endpoint the `requester_email_address` parameter is required.

**NOTE:** Embedded unclaimed drafts can only be accessed in embedded iFrames whereas normal drafts can be used and accessed on Dropbox Sign.

Reference: https://developers.hellosign.com/api/unclaimed-draft/create-embedded

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Dropbox Sign API
  version: 1.0.0
paths:
  /unclaimed_draft/create_embedded:
    post:
      operationId: createEmbedded
      summary: Create Embedded Unclaimed Draft
      description: >-
        Creates a new Draft that can be claimed and used in an embedded iFrame.
        The first authenticated user to access the URL will claim the Draft and
        will be shown the "Request signature" page with the Draft loaded.
        Subsequent access to the claim URL will result in a `404`. For this
        embedded endpoint the `requester_email_address` parameter is required.


        **NOTE:** Embedded unclaimed drafts can only be accessed in embedded
        iFrames whereas normal drafts can be used and accessed on Dropbox Sign.
      tags:
        - unclaimedDraft
      parameters:
        - name: Authorization
          in: header
          description: >
            Your API key can be used to make calls to the Dropbox Sign API. See
            [Authentication](/api/reference/authentication) for more
            information.

            ✅ Supported by Try it console (calls sent in `test_mode`
            only).            
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnclaimedDraftCreateResponse'
        '400':
          description: failed_operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UnclaimedDraftCreateEmbeddedRequest'
servers:
  - url: https://api.hellosign.com/v3
    description: https://api.hellosign.com/v3
components:
  schemas:
    SubAttachment:
      type: object
      properties:
        instructions:
          type: string
          description: The instructions for uploading the attachment.
        name:
          type: string
          description: The name of attachment.
        required:
          type: boolean
          default: false
          description: Determines if the attachment must be uploaded.
        signer_index:
          type: integer
          description: |-
            The signer's index in the `signers` parameter (0-based indexing).

            **NOTE:** Only one signer can be assigned per attachment.
      required:
        - name
        - signer_index
      title: SubAttachment
    SubCustomField:
      type: object
      properties:
        editor:
          type: string
          description: >-
            Used to create editable merge fields. When the value matches a role
            passed in with `signers`, that role can edit the data that was
            pre-filled to that field. This field is optional, but required when
            this custom field object is set to `required = true`.


            **NOTE:** Editable merge fields are only supported for single signer
            requests (or the first signer in ordered signature requests). If
            used when there are multiple signers in an unordered signature
            request, the editor value is ignored and the field won't be
            editable.
        name:
          type: string
          description: >-
            The name of a custom field. When working with pre-filled data, the
            custom field's name must have a matching merge field name or the
            field will remain empty on the document during signing.
        required:
          type: boolean
          default: false
          description: >-
            Used to set an editable merge field when working with pre-filled
            data. When `true`, the custom field must specify a signer role in
            `editor`.
        value:
          type: string
          description: >-
            The string that resolves (aka "pre-fills") to the merge field on the
            final document(s) used for signing.
      required:
        - name
      description: >-
        When used together with merge fields, `custom_fields` allows users to
        add pre-filled data to their signature requests.


        Pre-filled data can be used with "send-once" signature requests by
        adding merge fields with `form_fields_per_document` or [Text
        Tags](https://app.hellosign.com/api/textTagsWalkthrough#TextTagIntro)
        while passing values back with `custom_fields` together in one API call.


        For using pre-filled on repeatable signature requests, merge fields are
        added to templates in the Dropbox Sign UI or by calling
        [/template/create_embedded_draft](/api/reference/operation/templateCreateEmbeddedDraft)
        and then passing `custom_fields` on subsequent signature requests
        referencing that template.
      title: SubCustomField
    SubEditorOptions:
      type: object
      properties:
        allow_edit_signers:
          type: boolean
          default: false
          description: Allows requesters to edit the list of signers
        allow_edit_documents:
          type: boolean
          default: false
          description: Allows requesters to edit documents, including delete and add
      description: >-
        This allows the requester to specify editor options when a preparing a
        document
      title: SubEditorOptions
    SubFieldOptionsDateFormat:
      type: string
      enum:
        - MM / DD / YYYY
        - MM - DD - YYYY
        - DD / MM / YYYY
        - DD - MM - YYYY
        - YYYY / MM / DD
        - YYYY - MM - DD
      description: >-
        Allows requester to specify the date format (see list of allowed
        [formats](/api/reference/constants/#date-formats))


        **NOTE:** Only available for Premium and higher.
      title: SubFieldOptionsDateFormat
    SubFieldOptions:
      type: object
      properties:
        date_format:
          $ref: '#/components/schemas/SubFieldOptionsDateFormat'
          description: >-
            Allows requester to specify the date format (see list of allowed
            [formats](/api/reference/constants/#date-formats))


            **NOTE:** Only available for Premium and higher.
      required:
        - date_format
      description: >-
        This allows the requester to specify field options for a signature
        request.
      title: SubFieldOptions
    SubFormFieldGroup:
      type: object
      properties:
        group_id:
          type: string
          description: >-
            ID of group. Use this to reference a specific group from the `group`
            value in `form_fields_per_document`.
        group_label:
          type: string
          description: Name of the group
        requirement:
          type: string
          description: >-
            Examples: `require_0-1` `require_1` `require_1-ormore`


            - Check out the list of [acceptable `requirement` checkbox type
            values](/api/reference/constants/#checkbox-field-grouping).

            - Check out the list of [acceptable `requirement` radio type
            fields](/api/reference/constants/#radio-field-grouping).

            - Radio groups require **at least** two fields per group.
      required:
        - group_id
        - group_label
        - requirement
      title: SubFormFieldGroup
    SubFormFieldRuleTriggerOperator:
      type: string
      enum:
        - any
        - is
        - match
        - none
        - not
      description: |-
        Different field types allow different `operator` values:
        - Field type of **text**:
          - **is**: exact match
          - **not**: not exact match
          - **match**: regular expression, without /. Example:
            - OK `[a-zA-Z0-9]`
            - Not OK `/[a-zA-Z0-9]/`
        - Field type of **dropdown**:
          - **is**: exact match, single value
          - **not**: not exact match, single value
          - **any**: exact match, array of values.
          - **none**: not exact match, array of values.
        - Field type of **checkbox**:
          - **is**: exact match, single value
          - **not**: not exact match, single value
        - Field type of **radio**:
          - **is**: exact match, single value
          - **not**: not exact match, single value
      title: SubFormFieldRuleTriggerOperator
    SubFormFieldRuleTrigger:
      type: object
      properties:
        id:
          type: string
          description: >-
            Must reference the `api_id` of an existing field defined within
            `form_fields_per_document`. Trigger and action fields and groups
            must belong to the same signer.
        operator:
          $ref: '#/components/schemas/SubFormFieldRuleTriggerOperator'
          description: |-
            Different field types allow different `operator` values:
            - Field type of **text**:
              - **is**: exact match
              - **not**: not exact match
              - **match**: regular expression, without /. Example:
                - OK `[a-zA-Z0-9]`
                - Not OK `/[a-zA-Z0-9]/`
            - Field type of **dropdown**:
              - **is**: exact match, single value
              - **not**: not exact match, single value
              - **any**: exact match, array of values.
              - **none**: not exact match, array of values.
            - Field type of **checkbox**:
              - **is**: exact match, single value
              - **not**: not exact match, single value
            - Field type of **radio**:
              - **is**: exact match, single value
              - **not**: not exact match, single value
        value:
          type: string
          description: >-
            **value** or **values** is required, but not both.


            The value to match against **operator**.


            - When **operator** is one of the following, **value** must be
            `String`:
              - `is`
              - `not`
              - `match`

            Otherwise,

            - **checkbox**: When **type** of trigger is **checkbox**, **value**
            must be `0` or `1`

            - **radio**: When **type** of trigger is **radio**, **value** must
            be `1`
        values:
          type: array
          items:
            type: string
          description: >-
            **values** or **value** is required, but not both.


            The values to match against **operator** when it is one of the
            following:


            - `any`

            - `none`
      required:
        - id
        - operator
      title: SubFormFieldRuleTrigger
    SubFormFieldRuleActionType:
      type: string
      enum:
        - change-field-visibility
        - change-group-visibility
      title: SubFormFieldRuleActionType
    SubFormFieldRuleAction:
      type: object
      properties:
        field_id:
          type: string
          description: >-
            **field_id** or **group_id** is required, but not both.


            Must reference the `api_id` of an existing field defined within
            `form_fields_per_document`.


            Cannot use with `group_id`. Trigger and action fields must belong to
            the same signer.
        group_id:
          type: string
          description: >-
            **group_id** or **field_id** is required, but not both.


            Must reference the ID of an existing group defined within
            `form_field_groups`.


            Cannot use with `field_id`. Trigger and action fields and groups
            must belong to the same signer.
        hidden:
          type: boolean
          description: >-
            `true` to hide the target field when rule is satisfied, otherwise
            `false`.
        type:
          $ref: '#/components/schemas/SubFormFieldRuleActionType'
      required:
        - hidden
        - type
      title: SubFormFieldRuleAction
    SubFormFieldRule:
      type: object
      properties:
        id:
          type: string
          description: Must be unique across all defined rules.
        trigger_operator:
          type: string
          default: AND
          description: >-
            Currently only `AND` is supported. Support for `OR` is being worked
            on.
        triggers:
          type: array
          items:
            $ref: '#/components/schemas/SubFormFieldRuleTrigger'
          description: >-
            An array of trigger definitions, the "if this" part of "**if this**,
            then that". Currently only a single trigger per rule is allowed.
        actions:
          type: array
          items:
            $ref: '#/components/schemas/SubFormFieldRuleAction'
          description: >-
            An array of action definitions, the "then that" part of "if this,
            **then that**". Any number of actions may be attached to a single
            rule.
      required:
        - id
        - trigger_operator
        - triggers
        - actions
      title: SubFormFieldRule
    SubFormFieldsPerDocumentTextValidationType:
      type: string
      enum:
        - numbers_only
        - letters_only
        - phone_number
        - bank_routing_number
        - bank_account_number
        - email_address
        - zip_code
        - social_security_number
        - employer_identification_number
        - custom_regex
      description: >-
        Each text field may contain a `validation_type` parameter. Check out the
        list of [validation
        types](https://faq.hellosign.com/hc/en-us/articles/217115577) to learn
        more about the possible values.


        **NOTE:** When using `custom_regex` you are required to pass a second
        parameter `validation_custom_regex` and you can optionally provide
        `validation_custom_regex_format_label` for the error message the user
        will see in case of an invalid value.
      title: SubFormFieldsPerDocumentTextValidationType
    SubFormFieldsPerDocumentTextFontFamily:
      type: string
      enum:
        - helvetica
        - arial
        - courier
        - calibri
        - cambria
        - georgia
        - times
        - trebuchet
        - verdana
        - roboto
        - robotoMono
        - notoSans
        - notoSerif
        - notoCJK-JP-Regular
        - notoHebrew-Regular
        - notoSanThaiMerged
      description: Font family for the field.
      title: SubFormFieldsPerDocumentTextFontFamily
    SubFormFieldsPerDocumentDropdownFontFamily:
      type: string
      enum:
        - helvetica
        - arial
        - courier
        - calibri
        - cambria
        - georgia
        - times
        - trebuchet
        - verdana
        - roboto
        - robotoMono
        - notoSans
        - notoSerif
        - notoCJK-JP-Regular
        - notoHebrew-Regular
        - notoSanThaiMerged
      description: Font family for the field.
      title: SubFormFieldsPerDocumentDropdownFontFamily
    SubFormFieldsPerDocumentHyperlinkFontFamily:
      type: string
      enum:
        - helvetica
        - arial
        - courier
        - calibri
        - cambria
        - georgia
        - times
        - trebuchet
        - verdana
        - roboto
        - robotoMono
        - notoSans
        - notoSerif
        - notoCJK-JP-Regular
        - notoHebrew-Regular
        - notoSanThaiMerged
      description: Font family for the field.
      title: SubFormFieldsPerDocumentHyperlinkFontFamily
    SubFormFieldsPerDocumentDateSignedFontFamily:
      type: string
      enum:
        - helvetica
        - arial
        - courier
        - calibri
        - cambria
        - georgia
        - times
        - trebuchet
        - verdana
        - roboto
        - robotoMono
        - notoSans
        - notoSerif
        - notoCJK-JP-Regular
        - notoHebrew-Regular
        - notoSanThaiMerged
      description: Font family for the field.
      title: SubFormFieldsPerDocumentDateSignedFontFamily
    SubFormFieldsPerDocumentTextMergeFontFamily:
      type: string
      enum:
        - helvetica
        - arial
        - courier
        - calibri
        - cambria
        - georgia
        - times
        - trebuchet
        - verdana
        - roboto
        - robotoMono
        - notoSans
        - notoSerif
        - notoCJK-JP-Regular
        - notoHebrew-Regular
        - notoSanThaiMerged
      description: Font family for the field.
      title: SubFormFieldsPerDocumentTextMergeFontFamily
    SubFormFieldsPerDocumentBase:
      oneOf:
        - type: object
          properties:
            type:
              type: string
            document_index:
              type: integer
              description: >-
                Represents the integer index of the `file` or `file_url`
                document the field should be attached to.
            api_id:
              type: string
              description: >-
                An identifier for the field that is unique across all documents
                in the request.
            height:
              type: integer
              description: Size of the field in pixels.
            name:
              type: string
              description: Display name for the field.
            page:
              type:
                - integer
                - 'null'
              description: >-
                Page in the document where the field should be placed (requires
                documents be PDF files).


                - When the page number parameter is supplied, the API will use
                the new coordinate system.

                - Check out the differences between both [coordinate
                systems](https://faq.hellosign.com/hc/en-us/articles/217115577)
                and how to use them.
            required:
              type: boolean
              description: Whether this field is required.
            signer:
              type: string
              description: >-
                Signer index identified by the offset in the signers parameter
                (0-based indexing), indicating which signer should fill out the
                field.


                **NOTE:** To set the value of the field as the preparer you must
                set this to `me_now`


                **NOTE:** If type is `text-merge` or `checkbox-merge`, you must
                set this to sender in order to use pre-filled data.
            width:
              type: integer
              description: Size of the field in pixels.
            x:
              type: integer
              description: Location coordinates of the field in pixels.
            'y':
              type: integer
              description: Location coordinates of the field in pixels.
          required:
            - type
            - document_index
            - api_id
            - height
            - required
            - signer
            - width
            - x
            - 'y'
          description: This class extends `SubFormFieldsPerDocumentBase`.
        - type: object
          properties:
            type:
              type: string
            document_index:
              type: integer
              description: >-
                Represents the integer index of the `file` or `file_url`
                document the field should be attached to.
            api_id:
              type: string
              description: >-
                An identifier for the field that is unique across all documents
                in the request.
            height:
              type: integer
              description: Size of the field in pixels.
            name:
              type: string
              description: Display name for the field.
            page:
              type:
                - integer
                - 'null'
              description: >-
                Page in the document where the field should be placed (requires
                documents be PDF files).


                - When the page number parameter is supplied, the API will use
                the new coordinate system.

                - Check out the differences between both [coordinate
                systems](https://faq.hellosign.com/hc/en-us/articles/217115577)
                and how to use them.
            required:
              type: boolean
              description: Whether this field is required.
            signer:
              type: string
              description: >-
                Signer index identified by the offset in the signers parameter
                (0-based indexing), indicating which signer should fill out the
                field.


                **NOTE:** To set the value of the field as the preparer you must
                set this to `me_now`


                **NOTE:** If type is `text-merge` or `checkbox-merge`, you must
                set this to sender in order to use pre-filled data.
            width:
              type: integer
              description: Size of the field in pixels.
            x:
              type: integer
              description: Location coordinates of the field in pixels.
            'y':
              type: integer
              description: Location coordinates of the field in pixels.
          required:
            - type
            - document_index
            - api_id
            - height
            - required
            - signer
            - width
            - x
            - 'y'
          description: This class extends `SubFormFieldsPerDocumentBase`.
        - type: object
          properties:
            type:
              type: string
            document_index:
              type: integer
              description: >-
                Represents the integer index of the `file` or `file_url`
                document the field should be attached to.
            api_id:
              type: string
              description: >-
                An identifier for the field that is unique across all documents
                in the request.
            height:
              type: integer
              description: Size of the field in pixels.
            name:
              type: string
              description: Display name for the field.
            page:
              type:
                - integer
                - 'null'
              description: >-
                Page in the document where the field should be placed (requires
                documents be PDF files).


                - When the page number parameter is supplied, the API will use
                the new coordinate system.

                - Check out the differences between both [coordinate
                systems](https://faq.hellosign.com/hc/en-us/articles/217115577)
                and how to use them.
            required:
              type: boolean
              description: Whether this field is required.
            signer:
              type: string
              description: >-
                Signer index identified by the offset in the signers parameter
                (0-based indexing), indicating which signer should fill out the
                field.


                **NOTE:** To set the value of the field as the preparer you must
                set this to `me_now`


                **NOTE:** If type is `text-merge` or `checkbox-merge`, you must
                set this to sender in order to use pre-filled data.
            width:
              type: integer
              description: Size of the field in pixels.
            x:
              type: integer
              description: Location coordinates of the field in pixels.
            'y':
              type: integer
              description: Location coordinates of the field in pixels.
          required:
            - type
            - document_index
            - api_id
            - height
            - required
            - signer
            - width
            - x
            - 'y'
          description: This class extends `SubFormFieldsPerDocumentBase`.
        - type: object
          properties:
            type:
              type: string
            document_index:
              type: integer
              description: >-
                Represents the integer index of the `file` or `file_url`
                document the field should be attached to.
            api_id:
              type: string
              description: >-
                An identifier for the field that is unique across all documents
                in the request.
            height:
              type: integer
              description: Size of the field in pixels.
            name:
              type: string
              description: Display name for the field.
            page:
              type:
                - integer
                - 'null'
              description: >-
                Page in the document where the field should be placed (requires
                documents be PDF files).


                - When the page number parameter is supplied, the API will use
                the new coordinate system.

                - Check out the differences between both [coordinate
                systems](https://faq.hellosign.com/hc/en-us/articles/217115577)
                and how to use them.
            required:
              type: boolean
              description: Whether this field is required.
            signer:
              type: string
              description: >-
                Signer index identified by the offset in the signers parameter
                (0-based indexing), indicating which signer should fill out the
                field.


                **NOTE:** To set the value of the field as the preparer you must
                set this to `me_now`


                **NOTE:** If type is `text-merge` or `checkbox-merge`, you must
                set this to sender in order to use pre-filled data.
            width:
              type: integer
              description: Size of the field in pixels.
            x:
              type: integer
              description: Location coordinates of the field in pixels.
            'y':
              type: integer
              description: Location coordinates of the field in pixels.
          required:
            - type
            - document_index
            - api_id
            - height
            - required
            - signer
            - width
            - x
            - 'y'
          description: This class extends `SubFormFieldsPerDocumentBase`.
        - type: object
          properties:
            type:
              type: string
            document_index:
              type: integer
              description: >-
                Represents the integer index of the `file` or `file_url`
                document the field should be attached to.
            api_id:
              type: string
              description: >-
                An identifier for the field that is unique across all documents
                in the request.
            height:
              type: integer
              description: Size of the field in pixels.
            name:
              type: string
              description: Display name for the field.
            page:
              type:
                - integer
                - 'null'
              description: >-
                Page in the document where the field should be placed (requires
                documents be PDF files).


                - When the page number parameter is supplied, the API will use
                the new coordinate system.

                - Check out the differences between both [coordinate
                systems](https://faq.hellosign.com/hc/en-us/articles/217115577)
                and how to use them.
            required:
              type: boolean
              description: Whether this field is required.
            signer:
              type: string
              description: >-
                Signer index identified by the offset in the signers parameter
                (0-based indexing), indicating which signer should fill out the
                field.


                **NOTE:** To set the value of the field as the preparer you must
                set this to `me_now`


                **NOTE:** If type is `text-merge` or `checkbox-merge`, you must
                set this to sender in order to use pre-filled data.
            width:
              type: integer
              description: Size of the field in pixels.
            x:
              type: integer
              description: Location coordinates of the field in pixels.
            'y':
              type: integer
              description: Location coordinates of the field in pixels.
          required:
            - type
            - document_index
            - api_id
            - height
            - required
            - signer
            - width
            - x
            - 'y'
          description: This class extends `SubFormFieldsPerDocumentBase`.
        - type: object
          properties:
            type:
              type: string
            document_index:
              type: integer
              description: >-
                Represents the integer index of the `file` or `file_url`
                document the field should be attached to.
            api_id:
              type: string
              description: >-
                An identifier for the field that is unique across all documents
                in the request.
            height:
              type: integer
              description: Size of the field in pixels.
            name:
              type: string
              description: Display name for the field.
            page:
              type:
                - integer
                - 'null'
              description: >-
                Page in the document where the field should be placed (requires
                documents be PDF files).


                - When the page number parameter is supplied, the API will use
                the new coordinate system.

                - Check out the differences between both [coordinate
                systems](https://faq.hellosign.com/hc/en-us/articles/217115577)
                and how to use them.
            required:
              type: boolean
              description: Whether this field is required.
            signer:
              type: string
              description: >-
                Signer index identified by the offset in the signers parameter
                (0-based indexing), indicating which signer should fill out the
                field.


                **NOTE:** To set the value of the field as the preparer you must
                set this to `me_now`


                **NOTE:** If type is `text-merge` or `checkbox-merge`, you must
                set this to sender in order to use pre-filled data.
            width:
              type: integer
              description: Size of the field in pixels.
            x:
              type: integer
              description: Location coordinates of the field in pixels.
            'y':
              type: integer
              description: Location coordinates of the field in pixels.
          required:
            - type
            - document_index
            - api_id
            - height
            - required
            - signer
            - width
            - x
            - 'y'
          description: This class extends `SubFormFieldsPerDocumentBase`.
        - type: object
          properties:
            type:
              type: string
            document_index:
              type: integer
              description: >-
                Represents the integer index of the `file` or `file_url`
                document the field should be attached to.
            api_id:
              type: string
              description: >-
                An identifier for the field that is unique across all documents
                in the request.
            height:
              type: integer
              description: Size of the field in pixels.
            name:
              type: string
              description: Display name for the field.
            page:
              type:
                - integer
                - 'null'
              description: >-
                Page in the document where the field should be placed (requires
                documents be PDF files).


                - When the page number parameter is supplied, the API will use
                the new coordinate system.

                - Check out the differences between both [coordinate
                systems](https://faq.hellosign.com/hc/en-us/articles/217115577)
                and how to use them.
            required:
              type: boolean
              description: Whether this field is required.
            signer:
              type: string
              description: >-
                Signer index identified by the offset in the signers parameter
                (0-based indexing), indicating which signer should fill out the
                field.


                **NOTE:** To set the value of the field as the preparer you must
                set this to `me_now`


                **NOTE:** If type is `text-merge` or `checkbox-merge`, you must
                set this to sender in order to use pre-filled data.
            width:
              type: integer
              description: Size of the field in pixels.
            x:
              type: integer
              description: Location coordinates of the field in pixels.
            'y':
              type: integer
              description: Location coordinates of the field in pixels.
          required:
            - type
            - document_index
            - api_id
            - height
            - required
            - signer
            - width
            - x
            - 'y'
          description: This class extends `SubFormFieldsPerDocumentBase`.
        - type: object
          properties:
            type:
              type: string
            document_index:
              type: integer
              description: >-
                Represents the integer index of the `file` or `file_url`
                document the field should be attached to.
            api_id:
              type: string
              description: >-
                An identifier for the field that is unique across all documents
                in the request.
            height:
              type: integer
              description: Size of the field in pixels.
            name:
              type: string
              description: Display name for the field.
            page:
              type:
                - integer
                - 'null'
              description: >-
                Page in the document where the field should be placed (requires
                documents be PDF files).


                - When the page number parameter is supplied, the API will use
                the new coordinate system.

                - Check out the differences between both [coordinate
                systems](https://faq.hellosign.com/hc/en-us/articles/217115577)
                and how to use them.
            required:
              type: boolean
              description: Whether this field is required.
            signer:
              type: string
              description: >-
                Signer index identified by the offset in the signers parameter
                (0-based indexing), indicating which signer should fill out the
                field.


                **NOTE:** To set the value of the field as the preparer you must
                set this to `me_now`


                **NOTE:** If type is `text-merge` or `checkbox-merge`, you must
                set this to sender in order to use pre-filled data.
            width:
              type: integer
              description: Size of the field in pixels.
            x:
              type: integer
              description: Location coordinates of the field in pixels.
            'y':
              type: integer
              description: Location coordinates of the field in pixels.
          required:
            - type
            - document_index
            - api_id
            - height
            - required
            - signer
            - width
            - x
            - 'y'
          description: This class extends `SubFormFieldsPerDocumentBase`.
        - type: object
          properties:
            type:
              type: string
            document_index:
              type: integer
              description: >-
                Represents the integer index of the `file` or `file_url`
                document the field should be attached to.
            api_id:
              type: string
              description: >-
                An identifier for the field that is unique across all documents
                in the request.
            height:
              type: integer
              description: Size of the field in pixels.
            name:
              type: string
              description: Display name for the field.
            page:
              type:
                - integer
                - 'null'
              description: >-
                Page in the document where the field should be placed (requires
                documents be PDF files).


                - When the page number parameter is supplied, the API will use
                the new coordinate system.

                - Check out the differences between both [coordinate
                systems](https://faq.hellosign.com/hc/en-us/articles/217115577)
                and how to use them.
            required:
              type: boolean
              description: Whether this field is required.
            signer:
              type: string
              description: >-
                Signer index identified by the offset in the signers parameter
                (0-based indexing), indicating which signer should fill out the
                field.


                **NOTE:** To set the value of the field as the preparer you must
                set this to `me_now`


                **NOTE:** If type is `text-merge` or `checkbox-merge`, you must
                set this to sender in order to use pre-filled data.
            width:
              type: integer
              description: Size of the field in pixels.
            x:
              type: integer
              description: Location coordinates of the field in pixels.
            'y':
              type: integer
              description: Location coordinates of the field in pixels.
          required:
            - type
            - document_index
            - api_id
            - height
            - required
            - signer
            - width
            - x
            - 'y'
          description: This class extends `SubFormFieldsPerDocumentBase`.
        - type: object
          properties:
            type:
              type: string
            document_index:
              type: integer
              description: >-
                Represents the integer index of the `file` or `file_url`
                document the field should be attached to.
            api_id:
              type: string
              description: >-
                An identifier for the field that is unique across all documents
                in the request.
            height:
              type: integer
              description: Size of the field in pixels.
            name:
              type: string
              description: Display name for the field.
            page:
              type:
                - integer
                - 'null'
              description: >-
                Page in the document where the field should be placed (requires
                documents be PDF files).


                - When the page number parameter is supplied, the API will use
                the new coordinate system.

                - Check out the differences between both [coordinate
                systems](https://faq.hellosign.com/hc/en-us/articles/217115577)
                and how to use them.
            required:
              type: boolean
              description: Whether this field is required.
            signer:
              type: string
              description: >-
                Signer index identified by the offset in the signers parameter
                (0-based indexing), indicating which signer should fill out the
                field.


                **NOTE:** To set the value of the field as the preparer you must
                set this to `me_now`


                **NOTE:** If type is `text-merge` or `checkbox-merge`, you must
                set this to sender in order to use pre-filled data.
            width:
              type: integer
              description: Size of the field in pixels.
            x:
              type: integer
              description: Location coordinates of the field in pixels.
            'y':
              type: integer
              description: Location coordinates of the field in pixels.
          required:
            - type
            - document_index
            - api_id
            - height
            - required
            - signer
            - width
            - x
            - 'y'
          description: This class extends `SubFormFieldsPerDocumentBase`.
      discriminator:
        propertyName: type
      description: >-
        The fields that should appear on the document, expressed as an array of
        objects. (For more details you can read about it here: [Using Form
        Fields per Document](/docs/openapi/form-fields-per-document).)


        **NOTE:** Fields like **text**, **dropdown**, **checkbox**, **radio**,
        and **hyperlink** have additional required and optional parameters.
        Check out the list of [additional
        parameters](/api/reference/constants/#form-fields-per-document) for
        these field types.


        * Text Field use `SubFormFieldsPerDocumentText`

        * Dropdown Field use `SubFormFieldsPerDocumentDropdown`

        * Hyperlink Field use `SubFormFieldsPerDocumentHyperlink`

        * Checkbox Field use `SubFormFieldsPerDocumentCheckbox`

        * Radio Field use `SubFormFieldsPerDocumentRadio`

        * Signature Field use `SubFormFieldsPerDocumentSignature`

        * Date Signed Field use `SubFormFieldsPerDocumentDateSigned`

        * Initials Field use `SubFormFieldsPerDocumentInitials`

        * Text Merge Field use `SubFormFieldsPerDocumentTextMerge`

        * Checkbox Merge Field use `SubFormFieldsPerDocumentCheckboxMerge`
      title: SubFormFieldsPerDocumentBase
    SubUnclaimedDraftSigner:
      type: object
      properties:
        email_address:
          type: string
          format: email
          description: The email address of the signer.
        name:
          type: string
          description: The name of the signer.
        order:
          type:
            - integer
            - 'null'
          description: The order the signer is required to sign in.
      required:
        - email_address
        - name
      title: SubUnclaimedDraftSigner
    SubSigningOptionsDefaultType:
      type: string
      enum:
        - draw
        - phone
        - type
        - upload
      description: The default type shown (limited to the listed types)
      title: SubSigningOptionsDefaultType
    SubSigningOptions:
      type: object
      properties:
        default_type:
          $ref: '#/components/schemas/SubSigningOptionsDefaultType'
          description: The default type shown (limited to the listed types)
        draw:
          type: boolean
          default: false
          description: Allows drawing the signature
        phone:
          type: boolean
          default: false
          description: Allows using a smartphone to email the signature
        type:
          type: boolean
          default: false
          description: Allows typing the signature
        upload:
          type: boolean
          default: false
          description: Allows uploading the signature
        force_advanced_signature_details:
          type: boolean
          default: false
          description: Turning on advanced signature details for the signature request
      required:
        - default_type
      description: >-
        This allows the requester to specify the types allowed for creating a
        signature and specify another signing options.


        **NOTE:** If `signing_options` are not defined in the request, the
        allowed types will default to those specified in the account settings.


        **NOTE:** If `force_advanced_signature_details` is set, allowed types
        has to be defined too.
      title: SubSigningOptions
    UnclaimedDraftCreateEmbeddedRequestType:
      type: string
      enum:
        - send_document
        - request_signature
      default: request_signature
      description: >-
        The type of the draft. By default this is `request_signature`, but you
        can set it to `send_document` if you want to self sign a document and
        download it.
      title: UnclaimedDraftCreateEmbeddedRequestType
    UnclaimedDraftCreateEmbeddedRequest:
      type: object
      properties:
        files:
          type: array
          items:
            type: string
            format: binary
          description: >-
            Use `files[]` to indicate the uploaded file(s) to send for
            signature.


            This endpoint requires either **files** or **file_urls[]**, but not
            both.
        file_urls:
          type: array
          items:
            type: string
          description: >-
            Use `file_urls[]` to have Dropbox Sign download the file(s) to send
            for signature.


            This endpoint requires either **files** or **file_urls[]**, but not
            both.
        allow_ccs:
          type: boolean
          default: true
          description: >-
            This allows the requester to specify whether the user is allowed to
            provide email addresses to CC when claiming the draft.
        allow_decline:
          type: boolean
          default: false
          description: >-
            Allows signers to decline to sign a document if `true`. Defaults to
            `false`.
        allow_reassign:
          type: boolean
          default: false
          description: >-
            Allows signers to reassign their signature requests to other signers
            if set to `true`. Defaults to `false`.


            **NOTE:** Only available for Premium plan and higher.
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/SubAttachment'
          description: A list describing the attachments
        cc_email_addresses:
          type: array
          items:
            type: string
            format: email
          description: The email addresses that should be CCed.
        client_id:
          type: string
          description: >-
            Client id of the app used to create the draft. Used to apply the
            branding and callback url defined for the app.
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/SubCustomField'
          description: >-
            When used together with merge fields, `custom_fields` allows users
            to add pre-filled data to their signature requests.


            Pre-filled data can be used with "send-once" signature requests by
            adding merge fields with `form_fields_per_document` or [Text
            Tags](https://app.hellosign.com/api/textTagsWalkthrough#TextTagIntro)
            while passing values back with `custom_fields` together in one API
            call.


            For using pre-filled on repeatable signature requests, merge fields
            are added to templates in the Dropbox Sign UI or by calling
            [/template/create_embedded_draft](/api/reference/operation/templateCreateEmbeddedDraft)
            and then passing `custom_fields` on subsequent signature requests
            referencing that template.
        editor_options:
          $ref: '#/components/schemas/SubEditorOptions'
        field_options:
          $ref: '#/components/schemas/SubFieldOptions'
        force_signer_page:
          type: boolean
          default: false
          description: Provide users the ability to review/edit the signers.
        force_subject_message:
          type: boolean
          default: false
          description: Provide users the ability to review/edit the subject and message.
        form_field_groups:
          type: array
          items:
            $ref: '#/components/schemas/SubFormFieldGroup'
          description: >-
            Group information for fields defined in `form_fields_per_document`.
            String-indexed JSON array with `group_label` and `requirement` keys.
            `form_fields_per_document` must contain fields referencing a group
            defined in `form_field_groups`.
        form_field_rules:
          type: array
          items:
            $ref: '#/components/schemas/SubFormFieldRule'
          description: >-
            Conditional Logic rules for fields defined in
            `form_fields_per_document`.
        form_fields_per_document:
          type: array
          items:
            $ref: '#/components/schemas/SubFormFieldsPerDocumentBase'
          description: >-
            The fields that should appear on the document, expressed as an array
            of objects. (For more details you can read about it here: [Using
            Form Fields per Document](/docs/openapi/form-fields-per-document).)


            **NOTE:** Fields like **text**, **dropdown**, **checkbox**,
            **radio**, and **hyperlink** have additional required and optional
            parameters. Check out the list of [additional
            parameters](/api/reference/constants/#form-fields-per-document) for
            these field types.


            * Text Field use `SubFormFieldsPerDocumentText`

            * Dropdown Field use `SubFormFieldsPerDocumentDropdown`

            * Hyperlink Field use `SubFormFieldsPerDocumentHyperlink`

            * Checkbox Field use `SubFormFieldsPerDocumentCheckbox`

            * Radio Field use `SubFormFieldsPerDocumentRadio`

            * Signature Field use `SubFormFieldsPerDocumentSignature`

            * Date Signed Field use `SubFormFieldsPerDocumentDateSigned`

            * Initials Field use `SubFormFieldsPerDocumentInitials`

            * Text Merge Field use `SubFormFieldsPerDocumentTextMerge`

            * Checkbox Merge Field use `SubFormFieldsPerDocumentCheckboxMerge`
        hide_text_tags:
          type: boolean
          default: false
          description: >-
            Send with a value of `true` if you wish to enable automatic Text Tag
            removal. Defaults to `false`. When using Text Tags it is preferred
            that you set this to `false` and hide your tags with white text or
            something similar because the automatic removal system can cause
            unwanted clipping. See the [Text
            Tags](https://app.hellosign.com/api/textTagsWalkthrough#TextTagIntro)
            walkthrough for more details.
        hold_request:
          type: boolean
          default: false
          description: >-
            The request from this draft will not automatically send to signers
            post-claim if set to `true`. Requester must
            [release](/api/reference/operation/signatureRequestReleaseHold/) the
            request from hold when ready to send. Defaults to `false`.
        is_for_embedded_signing:
          type: boolean
          default: false
          description: >-
            The request created from this draft will also be signable in
            embedded mode if set to `true`. Defaults to `false`.
        message:
          type: string
          description: The custom message in the email that will be sent to the signers.
        metadata:
          type: object
          additionalProperties:
            description: Any type
          description: >-
            Key-value data that should be attached to the signature request.
            This metadata is included in all API responses and events involving
            the signature request. For example, use the metadata field to store
            a signer's order number for look up when receiving events for the
            signature request.


            Each request can include up to 10 metadata keys (or 50 nested
            metadata keys), with key names up to 40 characters long and values
            up to 1000 characters long.
        requester_email_address:
          type: string
          format: email
          description: >-
            The email address of the user that should be designated as the
            requester of this draft, if the draft type is `request_signature`.
        requesting_redirect_url:
          type: string
          description: >-
            The URL you want signers redirected to after they successfully
            request a signature.
        show_preview:
          type: boolean
          description: >-
            This allows the requester to enable the editor/preview experience.


            - `show_preview=true`: Allows requesters to enable the
            editor/preview experience.

            - `show_preview=false`: Allows requesters to disable the
            editor/preview experience.
        show_progress_stepper:
          type: boolean
          default: true
          description: >-
            When only one step remains in the signature request process and this
            parameter is set to `false` then the progress stepper will be
            hidden.
        signers:
          type: array
          items:
            $ref: '#/components/schemas/SubUnclaimedDraftSigner'
          description: Add Signers to your Unclaimed Draft Signature Request.
        signing_options:
          $ref: '#/components/schemas/SubSigningOptions'
        signing_redirect_url:
          type: string
          description: The URL you want signers redirected to after they successfully sign.
        skip_me_now:
          type: boolean
          default: false
          description: >-
            Disables the "Me (Now)" option for the person preparing the
            document. Does not work with type `send_document`. Defaults to
            `false`.
        subject:
          type: string
          description: The subject in the email that will be sent to the signers.
        test_mode:
          type: boolean
          default: false
          description: >-
            Whether this is a test, the signature request created from this
            draft will not be legally binding if set to `true`. Defaults to
            `false`.
        type:
          $ref: '#/components/schemas/UnclaimedDraftCreateEmbeddedRequestType'
          default: request_signature
          description: >-
            The type of the draft. By default this is `request_signature`, but
            you can set it to `send_document` if you want to self sign a
            document and download it.
        use_preexisting_fields:
          type: boolean
          default: false
          description: >-
            Set `use_text_tags` to `true` to enable [Text
            Tags](https://app.hellosign.com/api/textTagsWalkthrough#TextTagIntro)
            parsing in your document (defaults to disabled, or `false`).
            Alternatively, if your PDF contains pre-defined fields, enable the
            detection of these fields by setting the `use_preexisting_fields` to
            `true` (defaults to disabled, or `false`). Currently we only support
            use of either `use_text_tags` or `use_preexisting_fields` parameter,
            not both.
        use_text_tags:
          type: boolean
          default: false
          description: >-
            Set `use_text_tags` to `true` to enable [Text
            Tags](https://app.hellosign.com/api/textTagsWalkthrough#TextTagIntro)
            parsing in your document (defaults to disabled, or `false`).
            Alternatively, if your PDF contains pre-defined fields, enable the
            detection of these fields by setting the `use_preexisting_fields` to
            `true` (defaults to disabled, or `false`). Currently we only support
            use of either `use_text_tags` or `use_preexisting_fields` parameter,
            not both.
        populate_auto_fill_fields:
          type: boolean
          default: false
          description: >-
            Controls whether [auto fill
            fields](https://faq.hellosign.com/hc/en-us/articles/360051467511-Auto-Fill-Fields)
            can automatically populate a signer's information during signing.


            **NOTE:** Keep your signer's information safe by ensuring that the
            _signer on your signature request is the intended party_ before
            using this feature.
        expires_at:
          type:
            - integer
            - 'null'
          description: >-
            When the signature request will expire. Unsigned signatures will be
            moved to the expired status, and no longer signable. See [Signature
            Request Expiration
            Date](https://developers.hellosign.com/docs/signature-request/expiration/)
            for details.


            **NOTE:** This does not correspond to the **expires_at** returned in
            the response.
      required:
        - client_id
        - requester_email_address
      title: UnclaimedDraftCreateEmbeddedRequest
    UnclaimedDraftResponse:
      type: object
      properties:
        signature_request_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the signature request that is represented by this
            UnclaimedDraft.
        claim_url:
          type: string
          description: The URL to be used to claim this UnclaimedDraft.
        signing_redirect_url:
          type:
            - string
            - 'null'
          description: The URL you want signers redirected to after they successfully sign.
        requesting_redirect_url:
          type:
            - string
            - 'null'
          description: >-
            The URL you want signers redirected to after they successfully
            request a signature (Will only be returned in the response if it is
            applicable to the request.).
        expires_at:
          type:
            - integer
            - 'null'
          description: When the link expires.
        test_mode:
          type: boolean
          description: >-
            Whether this is a test draft. Signature requests made from test
            drafts have no legal value.
      description: >-
        A group of documents that a user can take ownership of via the claim
        URL.
      title: UnclaimedDraftResponse
    WarningResponse:
      type: object
      properties:
        warning_msg:
          type: string
          description: Warning message
        warning_name:
          type: string
          description: Warning name
      required:
        - warning_msg
        - warning_name
      description: A list of warnings.
      title: WarningResponse
    UnclaimedDraftCreateResponse:
      type: object
      properties:
        unclaimed_draft:
          $ref: '#/components/schemas/UnclaimedDraftResponse'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/WarningResponse'
          description: A list of warnings.
      required:
        - unclaimed_draft
      title: UnclaimedDraftCreateResponse
    ErrorResponseError:
      type: object
      properties:
        error_msg:
          type: string
          description: Message describing an error.
        error_path:
          type: string
          description: Path at which an error occurred.
        error_name:
          type: string
          description: >-
            Name of the error. See the `x-error-codes` catalog in openapi file
            for a complete list of possible error codes with detailed
            information including HTTP status codes, causes, remediation steps,
            and retry guidance.
      required:
        - error_msg
        - error_name
      description: Contains information about an error that occurred.
      title: ErrorResponseError
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorResponseError'
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    Basic:
      type: http
      scheme: basic
      description: >
        Your API key can be used to make calls to the Dropbox Sign API. See
        [Authentication](/api/reference/authentication) for more information.

        ✅ Supported by Try it console (calls sent in `test_mode`
        only).            
    Bearer:
      type: http
      scheme: bearer
      description: >
        You can use an Access Token issued through an OAuth flow to send calls
        to the Dropbox Sign API from your app. The access scopes required by
        this endpoint are listed in the gray box above. See
        [Authentication](/api/reference/authentication) for more information.
          ❌ **Not supported** by Try it console.

```

## Examples

### Unclaimed Draft Create Embedded



**Request**

```json
undefined
```

**Response**

```json
{
  "unclaimed_draft": {
    "signature_request_id": "340e9843ac552b5170ee9c374d67e312f53ca129",
    "claim_url": "https://embedded.hellosign.com/prep-and-send/embedded-request?cached_params_token=30c4d8df776038c2fa5f7094c3718937",
    "signing_redirect_url": null,
    "requesting_redirect_url": null,
    "expires_at": 1414093891,
    "test_mode": true
  }
}
```

**SDK Code**

```php PHP
<?php

namespace Dropbox\SignSandbox;

require_once __DIR__ . '/../vendor/autoload.php';

use SplFileObject;
use Dropbox;

$config = Dropbox\Sign\Configuration::getDefaultConfiguration();
$config->setUsername("YOUR_API_KEY");
// $config->setAccessToken("YOUR_ACCESS_TOKEN");

$unclaimed_draft_create_embedded_request = (new Dropbox\Sign\Model\UnclaimedDraftCreateEmbeddedRequest())
    ->setClientId("b6b8e7deaf8f0b95c029dca049356d4a2cf9710a")
    ->setRequesterEmailAddress("jack@dropboxsign.com")
    ->setTestMode(true)
    ->setFiles([
    ]);

try {
    $response = (new Dropbox\Sign\Api\UnclaimedDraftApi(config: $config))->unclaimedDraftCreateEmbedded(
        unclaimed_draft_create_embedded_request: $unclaimed_draft_create_embedded_request,
    );

    print_r($response);
} catch (Dropbox\Sign\ApiException $e) {
    echo "Exception when calling UnclaimedDraftApi#unclaimedDraftCreateEmbedded: {$e->getMessage()}";
}

```

```csharp C#
using System;
using System.Collections.Generic;
using System.IO;
using System.Text.Json;

using Dropbox.Sign.Api;
using Dropbox.Sign.Client;
using Dropbox.Sign.Model;

namespace Dropbox.SignSandbox;

public class UnclaimedDraftCreateEmbeddedExample
{
    public static void Run()
    {
        var config = new Configuration();
        config.Username = "YOUR_API_KEY";
        // config.AccessToken = "YOUR_ACCESS_TOKEN";

        var unclaimedDraftCreateEmbeddedRequest = new UnclaimedDraftCreateEmbeddedRequest(
            clientId: "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
            requesterEmailAddress: "jack@dropboxsign.com",
            testMode: true,
            files: new List<Stream>
            {
                new FileStream(
                    path: "./example_signature_request.pdf",
                    mode: FileMode.Open
                ),
            }
        );

        try
        {
            var response = new UnclaimedDraftApi(config).UnclaimedDraftCreateEmbedded(
                unclaimedDraftCreateEmbeddedRequest: unclaimedDraftCreateEmbeddedRequest
            );

            Console.WriteLine(response);
        }
        catch (ApiException e)
        {
            Console.WriteLine("Exception when calling UnclaimedDraftApi#UnclaimedDraftCreateEmbedded: " + e.Message);
            Console.WriteLine("Status Code: " + e.ErrorCode);
            Console.WriteLine(e.StackTrace);
        }
    }
}

```

```typescript TypeScript
import * as fs from 'fs';
import api from "@dropbox/sign"
import models from "@dropbox/sign"

const apiCaller = new api.UnclaimedDraftApi();
apiCaller.username = "YOUR_API_KEY";
// apiCaller.accessToken = "YOUR_ACCESS_TOKEN";

const unclaimedDraftCreateEmbeddedRequest: models.UnclaimedDraftCreateEmbeddedRequest = {
  clientId: "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
  requesterEmailAddress: "jack@dropboxsign.com",
  testMode: true,
  files: [
    fs.createReadStream("./example_signature_request.pdf"),
  ],
};

apiCaller.unclaimedDraftCreateEmbedded(
  unclaimedDraftCreateEmbeddedRequest,
).then(response => {
  console.log(response.body);
}).catch(error => {
  console.log("Exception when calling UnclaimedDraftApi#unclaimedDraftCreateEmbedded:");
  console.log(error.body);
});

```

```java Java
package com.dropbox.sign_sandbox;

import com.dropbox.sign.ApiException;
import com.dropbox.sign.Configuration;
import com.dropbox.sign.api.*;
import com.dropbox.sign.auth.*;
import com.dropbox.sign.JSON;
import com.dropbox.sign.model.*;

import java.io.File;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.OffsetDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class UnclaimedDraftCreateEmbeddedExample
{
    public static void main(String[] args)
    {
        var config = Configuration.getDefaultApiClient();
        ((HttpBasicAuth) config.getAuthentication("api_key")).setUsername("YOUR_API_KEY");
        // ((HttpBearerAuth) config.getAuthentication("oauth2")).setBearerToken("YOUR_ACCESS_TOKEN");

        var unclaimedDraftCreateEmbeddedRequest = new UnclaimedDraftCreateEmbeddedRequest();
        unclaimedDraftCreateEmbeddedRequest.clientId("b6b8e7deaf8f0b95c029dca049356d4a2cf9710a");
        unclaimedDraftCreateEmbeddedRequest.requesterEmailAddress("jack@dropboxsign.com");
        unclaimedDraftCreateEmbeddedRequest.testMode(true);
        unclaimedDraftCreateEmbeddedRequest.files(List.of (
            new File("./example_signature_request.pdf")
        ));

        try
        {
            var response = new UnclaimedDraftApi(config).unclaimedDraftCreateEmbedded(
                unclaimedDraftCreateEmbeddedRequest
            );

            System.out.println(response);
        } catch (ApiException e) {
            System.err.println("Exception when calling UnclaimedDraftApi#unclaimedDraftCreateEmbedded");
            System.err.println("Status code: " + e.getCode());
            System.err.println("Reason: " + e.getResponseBody());
            System.err.println("Response headers: " + e.getResponseHeaders());
            e.printStackTrace();
        }
    }
}

```

```ruby Ruby
require "json"
require "dropbox-sign"

Dropbox::Sign.configure do |config|
    config.username = "YOUR_API_KEY"
    # config.access_token = "YOUR_ACCESS_TOKEN"
end

unclaimed_draft_create_embedded_request = Dropbox::Sign::UnclaimedDraftCreateEmbeddedRequest.new
unclaimed_draft_create_embedded_request.client_id = "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a"
unclaimed_draft_create_embedded_request.requester_email_address = "jack@dropboxsign.com"
unclaimed_draft_create_embedded_request.test_mode = true
unclaimed_draft_create_embedded_request.files = [
    File.new("./example_signature_request.pdf", "r"),
]

begin
    response = Dropbox::Sign::UnclaimedDraftApi.new.unclaimed_draft_create_embedded(
        unclaimed_draft_create_embedded_request,
    )

    p response
rescue Dropbox::Sign::ApiError => e
    puts "Exception when calling UnclaimedDraftApi#unclaimed_draft_create_embedded: #{e}"
end

```

```python Python
import json
from datetime import date, datetime
from pprint import pprint

from dropbox_sign import ApiClient, ApiException, Configuration, api, models

configuration = Configuration(
    username="YOUR_API_KEY",
    # access_token="YOUR_ACCESS_TOKEN",
)

with ApiClient(configuration) as api_client:
    unclaimed_draft_create_embedded_request = models.UnclaimedDraftCreateEmbeddedRequest(
        client_id="b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
        requester_email_address="jack@dropboxsign.com",
        test_mode=True,
        files=[
            open("./example_signature_request.pdf", "rb").read(),
        ],
    )

    try:
        response = api.UnclaimedDraftApi(api_client).unclaimed_draft_create_embedded(
            unclaimed_draft_create_embedded_request=unclaimed_draft_create_embedded_request,
        )

        pprint(response)
    except ApiException as e:
        print("Exception when calling UnclaimedDraftApi#unclaimed_draft_create_embedded: %s\n" % e)

```

```go Unclaimed Draft Create Embedded
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hellosign.com/v3/unclaimed_draft/create_embedded"

	req, _ := http.NewRequest("POST", url, nil)

	req.SetBasicAuth("<apiKey>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```swift Unclaimed Draft Create Embedded
import Foundation

let credentials = Data("<apiKey>:".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hellosign.com/v3/unclaimed_draft/create_embedded")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Default Example



**Request**

```json
{
  "client_id": "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
  "requester_email_address": "jack@dropboxsign.com",
  "file_urls": [
    "https://www.dropbox.com/s/ad9qnhbrjjn64tu/mutual-NDA-example.pdf?dl=1"
  ],
  "test_mode": true
}
```

**Response**

```json
{
  "unclaimed_draft": {
    "signature_request_id": "340e9843ac552b5170ee9c374d67e312f53ca129",
    "claim_url": "https://embedded.hellosign.com/prep-and-send/embedded-request?cached_params_token=30c4d8df776038c2fa5f7094c3718937",
    "signing_redirect_url": null,
    "requesting_redirect_url": null,
    "expires_at": 1414093891,
    "test_mode": true
  }
}
```

**SDK Code**

```php PHP
<?php

namespace Dropbox\SignSandbox;

require_once __DIR__ . '/../vendor/autoload.php';

use SplFileObject;
use Dropbox;

$config = Dropbox\Sign\Configuration::getDefaultConfiguration();
$config->setUsername("YOUR_API_KEY");
// $config->setAccessToken("YOUR_ACCESS_TOKEN");

$unclaimed_draft_create_embedded_request = (new Dropbox\Sign\Model\UnclaimedDraftCreateEmbeddedRequest())
    ->setClientId("b6b8e7deaf8f0b95c029dca049356d4a2cf9710a")
    ->setRequesterEmailAddress("jack@dropboxsign.com")
    ->setTestMode(true)
    ->setFiles([
    ]);

try {
    $response = (new Dropbox\Sign\Api\UnclaimedDraftApi(config: $config))->unclaimedDraftCreateEmbedded(
        unclaimed_draft_create_embedded_request: $unclaimed_draft_create_embedded_request,
    );

    print_r($response);
} catch (Dropbox\Sign\ApiException $e) {
    echo "Exception when calling UnclaimedDraftApi#unclaimedDraftCreateEmbedded: {$e->getMessage()}";
}

```

```csharp C#
using System;
using System.Collections.Generic;
using System.IO;
using System.Text.Json;

using Dropbox.Sign.Api;
using Dropbox.Sign.Client;
using Dropbox.Sign.Model;

namespace Dropbox.SignSandbox;

public class UnclaimedDraftCreateEmbeddedExample
{
    public static void Run()
    {
        var config = new Configuration();
        config.Username = "YOUR_API_KEY";
        // config.AccessToken = "YOUR_ACCESS_TOKEN";

        var unclaimedDraftCreateEmbeddedRequest = new UnclaimedDraftCreateEmbeddedRequest(
            clientId: "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
            requesterEmailAddress: "jack@dropboxsign.com",
            testMode: true,
            files: new List<Stream>
            {
                new FileStream(
                    path: "./example_signature_request.pdf",
                    mode: FileMode.Open
                ),
            }
        );

        try
        {
            var response = new UnclaimedDraftApi(config).UnclaimedDraftCreateEmbedded(
                unclaimedDraftCreateEmbeddedRequest: unclaimedDraftCreateEmbeddedRequest
            );

            Console.WriteLine(response);
        }
        catch (ApiException e)
        {
            Console.WriteLine("Exception when calling UnclaimedDraftApi#UnclaimedDraftCreateEmbedded: " + e.Message);
            Console.WriteLine("Status Code: " + e.ErrorCode);
            Console.WriteLine(e.StackTrace);
        }
    }
}

```

```typescript TypeScript
import * as fs from 'fs';
import api from "@dropbox/sign"
import models from "@dropbox/sign"

const apiCaller = new api.UnclaimedDraftApi();
apiCaller.username = "YOUR_API_KEY";
// apiCaller.accessToken = "YOUR_ACCESS_TOKEN";

const unclaimedDraftCreateEmbeddedRequest: models.UnclaimedDraftCreateEmbeddedRequest = {
  clientId: "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
  requesterEmailAddress: "jack@dropboxsign.com",
  testMode: true,
  files: [
    fs.createReadStream("./example_signature_request.pdf"),
  ],
};

apiCaller.unclaimedDraftCreateEmbedded(
  unclaimedDraftCreateEmbeddedRequest,
).then(response => {
  console.log(response.body);
}).catch(error => {
  console.log("Exception when calling UnclaimedDraftApi#unclaimedDraftCreateEmbedded:");
  console.log(error.body);
});

```

```java Java
package com.dropbox.sign_sandbox;

import com.dropbox.sign.ApiException;
import com.dropbox.sign.Configuration;
import com.dropbox.sign.api.*;
import com.dropbox.sign.auth.*;
import com.dropbox.sign.JSON;
import com.dropbox.sign.model.*;

import java.io.File;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.OffsetDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class UnclaimedDraftCreateEmbeddedExample
{
    public static void main(String[] args)
    {
        var config = Configuration.getDefaultApiClient();
        ((HttpBasicAuth) config.getAuthentication("api_key")).setUsername("YOUR_API_KEY");
        // ((HttpBearerAuth) config.getAuthentication("oauth2")).setBearerToken("YOUR_ACCESS_TOKEN");

        var unclaimedDraftCreateEmbeddedRequest = new UnclaimedDraftCreateEmbeddedRequest();
        unclaimedDraftCreateEmbeddedRequest.clientId("b6b8e7deaf8f0b95c029dca049356d4a2cf9710a");
        unclaimedDraftCreateEmbeddedRequest.requesterEmailAddress("jack@dropboxsign.com");
        unclaimedDraftCreateEmbeddedRequest.testMode(true);
        unclaimedDraftCreateEmbeddedRequest.files(List.of (
            new File("./example_signature_request.pdf")
        ));

        try
        {
            var response = new UnclaimedDraftApi(config).unclaimedDraftCreateEmbedded(
                unclaimedDraftCreateEmbeddedRequest
            );

            System.out.println(response);
        } catch (ApiException e) {
            System.err.println("Exception when calling UnclaimedDraftApi#unclaimedDraftCreateEmbedded");
            System.err.println("Status code: " + e.getCode());
            System.err.println("Reason: " + e.getResponseBody());
            System.err.println("Response headers: " + e.getResponseHeaders());
            e.printStackTrace();
        }
    }
}

```

```ruby Ruby
require "json"
require "dropbox-sign"

Dropbox::Sign.configure do |config|
    config.username = "YOUR_API_KEY"
    # config.access_token = "YOUR_ACCESS_TOKEN"
end

unclaimed_draft_create_embedded_request = Dropbox::Sign::UnclaimedDraftCreateEmbeddedRequest.new
unclaimed_draft_create_embedded_request.client_id = "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a"
unclaimed_draft_create_embedded_request.requester_email_address = "jack@dropboxsign.com"
unclaimed_draft_create_embedded_request.test_mode = true
unclaimed_draft_create_embedded_request.files = [
    File.new("./example_signature_request.pdf", "r"),
]

begin
    response = Dropbox::Sign::UnclaimedDraftApi.new.unclaimed_draft_create_embedded(
        unclaimed_draft_create_embedded_request,
    )

    p response
rescue Dropbox::Sign::ApiError => e
    puts "Exception when calling UnclaimedDraftApi#unclaimed_draft_create_embedded: #{e}"
end

```

```python Python
import json
from datetime import date, datetime
from pprint import pprint

from dropbox_sign import ApiClient, ApiException, Configuration, api, models

configuration = Configuration(
    username="YOUR_API_KEY",
    # access_token="YOUR_ACCESS_TOKEN",
)

with ApiClient(configuration) as api_client:
    unclaimed_draft_create_embedded_request = models.UnclaimedDraftCreateEmbeddedRequest(
        client_id="b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
        requester_email_address="jack@dropboxsign.com",
        test_mode=True,
        files=[
            open("./example_signature_request.pdf", "rb").read(),
        ],
    )

    try:
        response = api.UnclaimedDraftApi(api_client).unclaimed_draft_create_embedded(
            unclaimed_draft_create_embedded_request=unclaimed_draft_create_embedded_request,
        )

        pprint(response)
    except ApiException as e:
        print("Exception when calling UnclaimedDraftApi#unclaimed_draft_create_embedded: %s\n" % e)

```

```go Default Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hellosign.com/v3/unclaimed_draft/create_embedded"

	payload := strings.NewReader("{\n  \"client_id\": \"b6b8e7deaf8f0b95c029dca049356d4a2cf9710a\",\n  \"requester_email_address\": \"jack@dropboxsign.com\",\n  \"file_urls\": [\n    \"https://www.dropbox.com/s/ad9qnhbrjjn64tu/mutual-NDA-example.pdf?dl=1\"\n  ],\n  \"test_mode\": true\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<apiKey>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```swift Default Example
import Foundation

let credentials = Data("<apiKey>:".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [
  "client_id": "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
  "requester_email_address": "jack@dropboxsign.com",
  "file_urls": ["https://www.dropbox.com/s/ad9qnhbrjjn64tu/mutual-NDA-example.pdf?dl=1"],
  "test_mode": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hellosign.com/v3/unclaimed_draft/create_embedded")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Form Fields Per Document Example



**Request**

```json
{
  "client_id": "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
  "requester_email_address": "jack@dropboxsign.com",
  "file_urls": [
    "https://www.dropbox.com/s/ad9qnhbrjjn64tu/mutual-NDA-example.pdf?dl=1"
  ],
  "form_fields_per_document": [
    {
      "type": "text",
      "document_index": 0,
      "api_id": "uniqueIdHere_1",
      "height": 16,
      "required": true,
      "signer": "1",
      "width": 100,
      "x": 112,
      "y": 328,
      "name": "",
      "page": 1,
      "placeholder": "",
      "validation_type": "numbers_only"
    },
    {
      "type": "signature",
      "document_index": 0,
      "api_id": "uniqueIdHere_2",
      "height": 30,
      "required": true,
      "signer": "0",
      "width": 120,
      "x": 530,
      "y": 415,
      "name": "",
      "page": 1
    }
  ],
  "test_mode": false
}
```

**Response**

```json
{
  "unclaimed_draft": {
    "signature_request_id": "340e9843ac552b5170ee9c374d67e312f53ca129",
    "claim_url": "https://embedded.hellosign.com/prep-and-send/embedded-request?cached_params_token=30c4d8df776038c2fa5f7094c3718937",
    "signing_redirect_url": null,
    "requesting_redirect_url": null,
    "expires_at": 1414093891,
    "test_mode": true
  }
}
```

**SDK Code**

```php PHP
<?php

namespace Dropbox\SignSandbox;

require_once __DIR__ . '/../vendor/autoload.php';

use SplFileObject;
use Dropbox;

$config = Dropbox\Sign\Configuration::getDefaultConfiguration();
$config->setUsername("YOUR_API_KEY");
// $config->setAccessToken("YOUR_ACCESS_TOKEN");

$unclaimed_draft_create_embedded_request = (new Dropbox\Sign\Model\UnclaimedDraftCreateEmbeddedRequest())
    ->setClientId("b6b8e7deaf8f0b95c029dca049356d4a2cf9710a")
    ->setRequesterEmailAddress("jack@dropboxsign.com")
    ->setTestMode(true)
    ->setFiles([
    ]);

try {
    $response = (new Dropbox\Sign\Api\UnclaimedDraftApi(config: $config))->unclaimedDraftCreateEmbedded(
        unclaimed_draft_create_embedded_request: $unclaimed_draft_create_embedded_request,
    );

    print_r($response);
} catch (Dropbox\Sign\ApiException $e) {
    echo "Exception when calling UnclaimedDraftApi#unclaimedDraftCreateEmbedded: {$e->getMessage()}";
}

```

```csharp C#
using System;
using System.Collections.Generic;
using System.IO;
using System.Text.Json;

using Dropbox.Sign.Api;
using Dropbox.Sign.Client;
using Dropbox.Sign.Model;

namespace Dropbox.SignSandbox;

public class UnclaimedDraftCreateEmbeddedExample
{
    public static void Run()
    {
        var config = new Configuration();
        config.Username = "YOUR_API_KEY";
        // config.AccessToken = "YOUR_ACCESS_TOKEN";

        var unclaimedDraftCreateEmbeddedRequest = new UnclaimedDraftCreateEmbeddedRequest(
            clientId: "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
            requesterEmailAddress: "jack@dropboxsign.com",
            testMode: true,
            files: new List<Stream>
            {
                new FileStream(
                    path: "./example_signature_request.pdf",
                    mode: FileMode.Open
                ),
            }
        );

        try
        {
            var response = new UnclaimedDraftApi(config).UnclaimedDraftCreateEmbedded(
                unclaimedDraftCreateEmbeddedRequest: unclaimedDraftCreateEmbeddedRequest
            );

            Console.WriteLine(response);
        }
        catch (ApiException e)
        {
            Console.WriteLine("Exception when calling UnclaimedDraftApi#UnclaimedDraftCreateEmbedded: " + e.Message);
            Console.WriteLine("Status Code: " + e.ErrorCode);
            Console.WriteLine(e.StackTrace);
        }
    }
}

```

```typescript TypeScript
import * as fs from 'fs';
import api from "@dropbox/sign"
import models from "@dropbox/sign"

const apiCaller = new api.UnclaimedDraftApi();
apiCaller.username = "YOUR_API_KEY";
// apiCaller.accessToken = "YOUR_ACCESS_TOKEN";

const unclaimedDraftCreateEmbeddedRequest: models.UnclaimedDraftCreateEmbeddedRequest = {
  clientId: "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
  requesterEmailAddress: "jack@dropboxsign.com",
  testMode: true,
  files: [
    fs.createReadStream("./example_signature_request.pdf"),
  ],
};

apiCaller.unclaimedDraftCreateEmbedded(
  unclaimedDraftCreateEmbeddedRequest,
).then(response => {
  console.log(response.body);
}).catch(error => {
  console.log("Exception when calling UnclaimedDraftApi#unclaimedDraftCreateEmbedded:");
  console.log(error.body);
});

```

```java Java
package com.dropbox.sign_sandbox;

import com.dropbox.sign.ApiException;
import com.dropbox.sign.Configuration;
import com.dropbox.sign.api.*;
import com.dropbox.sign.auth.*;
import com.dropbox.sign.JSON;
import com.dropbox.sign.model.*;

import java.io.File;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.OffsetDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class UnclaimedDraftCreateEmbeddedExample
{
    public static void main(String[] args)
    {
        var config = Configuration.getDefaultApiClient();
        ((HttpBasicAuth) config.getAuthentication("api_key")).setUsername("YOUR_API_KEY");
        // ((HttpBearerAuth) config.getAuthentication("oauth2")).setBearerToken("YOUR_ACCESS_TOKEN");

        var unclaimedDraftCreateEmbeddedRequest = new UnclaimedDraftCreateEmbeddedRequest();
        unclaimedDraftCreateEmbeddedRequest.clientId("b6b8e7deaf8f0b95c029dca049356d4a2cf9710a");
        unclaimedDraftCreateEmbeddedRequest.requesterEmailAddress("jack@dropboxsign.com");
        unclaimedDraftCreateEmbeddedRequest.testMode(true);
        unclaimedDraftCreateEmbeddedRequest.files(List.of (
            new File("./example_signature_request.pdf")
        ));

        try
        {
            var response = new UnclaimedDraftApi(config).unclaimedDraftCreateEmbedded(
                unclaimedDraftCreateEmbeddedRequest
            );

            System.out.println(response);
        } catch (ApiException e) {
            System.err.println("Exception when calling UnclaimedDraftApi#unclaimedDraftCreateEmbedded");
            System.err.println("Status code: " + e.getCode());
            System.err.println("Reason: " + e.getResponseBody());
            System.err.println("Response headers: " + e.getResponseHeaders());
            e.printStackTrace();
        }
    }
}

```

```ruby Ruby
require "json"
require "dropbox-sign"

Dropbox::Sign.configure do |config|
    config.username = "YOUR_API_KEY"
    # config.access_token = "YOUR_ACCESS_TOKEN"
end

unclaimed_draft_create_embedded_request = Dropbox::Sign::UnclaimedDraftCreateEmbeddedRequest.new
unclaimed_draft_create_embedded_request.client_id = "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a"
unclaimed_draft_create_embedded_request.requester_email_address = "jack@dropboxsign.com"
unclaimed_draft_create_embedded_request.test_mode = true
unclaimed_draft_create_embedded_request.files = [
    File.new("./example_signature_request.pdf", "r"),
]

begin
    response = Dropbox::Sign::UnclaimedDraftApi.new.unclaimed_draft_create_embedded(
        unclaimed_draft_create_embedded_request,
    )

    p response
rescue Dropbox::Sign::ApiError => e
    puts "Exception when calling UnclaimedDraftApi#unclaimed_draft_create_embedded: #{e}"
end

```

```python Python
import json
from datetime import date, datetime
from pprint import pprint

from dropbox_sign import ApiClient, ApiException, Configuration, api, models

configuration = Configuration(
    username="YOUR_API_KEY",
    # access_token="YOUR_ACCESS_TOKEN",
)

with ApiClient(configuration) as api_client:
    unclaimed_draft_create_embedded_request = models.UnclaimedDraftCreateEmbeddedRequest(
        client_id="b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
        requester_email_address="jack@dropboxsign.com",
        test_mode=True,
        files=[
            open("./example_signature_request.pdf", "rb").read(),
        ],
    )

    try:
        response = api.UnclaimedDraftApi(api_client).unclaimed_draft_create_embedded(
            unclaimed_draft_create_embedded_request=unclaimed_draft_create_embedded_request,
        )

        pprint(response)
    except ApiException as e:
        print("Exception when calling UnclaimedDraftApi#unclaimed_draft_create_embedded: %s\n" % e)

```

```go Form Fields Per Document Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.hellosign.com/v3/unclaimed_draft/create_embedded"

	payload := strings.NewReader("{\n  \"client_id\": \"b6b8e7deaf8f0b95c029dca049356d4a2cf9710a\",\n  \"requester_email_address\": \"jack@dropboxsign.com\",\n  \"file_urls\": [\n    \"https://www.dropbox.com/s/ad9qnhbrjjn64tu/mutual-NDA-example.pdf?dl=1\"\n  ],\n  \"form_fields_per_document\": [\n    {\n      \"type\": \"text\",\n      \"document_index\": 0,\n      \"api_id\": \"uniqueIdHere_1\",\n      \"height\": 16,\n      \"required\": true,\n      \"signer\": \"1\",\n      \"width\": 100,\n      \"x\": 112,\n      \"y\": 328,\n      \"name\": \"\",\n      \"page\": 1,\n      \"placeholder\": \"\",\n      \"validation_type\": \"numbers_only\"\n    },\n    {\n      \"type\": \"signature\",\n      \"document_index\": 0,\n      \"api_id\": \"uniqueIdHere_2\",\n      \"height\": 30,\n      \"required\": true,\n      \"signer\": \"0\",\n      \"width\": 120,\n      \"x\": 530,\n      \"y\": 415,\n      \"name\": \"\",\n      \"page\": 1\n    }\n  ],\n  \"test_mode\": false\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<apiKey>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```swift Form Fields Per Document Example
import Foundation

let credentials = Data("<apiKey>:".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [
  "client_id": "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
  "requester_email_address": "jack@dropboxsign.com",
  "file_urls": ["https://www.dropbox.com/s/ad9qnhbrjjn64tu/mutual-NDA-example.pdf?dl=1"],
  "form_fields_per_document": [
    [
      "type": "text",
      "document_index": 0,
      "api_id": "uniqueIdHere_1",
      "height": 16,
      "required": true,
      "signer": "1",
      "width": 100,
      "x": 112,
      "y": 328,
      "name": "",
      "page": 1,
      "placeholder": "",
      "validation_type": "numbers_only"
    ],
    [
      "type": "signature",
      "document_index": 0,
      "api_id": "uniqueIdHere_2",
      "height": 30,
      "required": true,
      "signer": "0",
      "width": 120,
      "x": 530,
      "y": 415,
      "name": "",
      "page": 1
    ]
  ],
  "test_mode": false
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.hellosign.com/v3/unclaimed_draft/create_embedded")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Form Fields Per Document and Groups Example



**Request**

```json
{
  "client_id": "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
  "requester_email_address": "jack@dropboxsign.com",
  "file_urls": [
    "https://www.dropbox.com/s/ad9qnhbrjjn64tu/mutual-NDA-example.pdf?dl=1"
  ],
  "form_field_groups": [
    {
      "group_id": "RadioItemGroup1",
      "group_label": "Radio Item Group 1",
      "requirement": "require_0-1"
    }
  ],
  "form_fields_per_document": [
    {
      "type": "radio",
      "document_index": 0,
      "api_id": "uniqueIdHere_1",
      "height": 18,
      "required": false,
      "signer": "0",
      "width": 18,
      "x": 112,
      "y": 328,
      "name": "",
      "page": 1,
      "group": "RadioItemGroup1",
      "is_checked": 1
    },
    {
      "type": "radio",
      "document_index": 0,
      "api_id": "uniqueIdHere_2",
      "height": 18,
      "required": false,
      "signer": "0",
      "width": 18,
      "x": 112,
      "y": 370,
      "name": "",
      "page": 1,
      "group": "RadioItemGroup1",
      "is_checked": 0
    }
  ],
  "test_mode": false
}
```

**Response**

```json
{
  "unclaimed_draft": {
    "signature_request_id": "340e9843ac552b5170ee9c374d67e312f53ca129",
    "claim_url": "https://embedded.hellosign.com/prep-and-send/embedded-request?cached_params_token=30c4d8df776038c2fa5f7094c3718937",
    "signing_redirect_url": null,
    "requesting_redirect_url": null,
    "expires_at": 1414093891,
    "test_mode": true
  }
}
```

**SDK Code**

```php PHP
<?php

namespace Dropbox\SignSandbox;

require_once __DIR__ . '/../vendor/autoload.php';

use SplFileObject;
use Dropbox;

$config = Dropbox\Sign\Configuration::getDefaultConfiguration();
$config->setUsername("YOUR_API_KEY");
// $config->setAccessToken("YOUR_ACCESS_TOKEN");

$unclaimed_draft_create_embedded_request = (new Dropbox\Sign\Model\UnclaimedDraftCreateEmbeddedRequest())
    ->setClientId("b6b8e7deaf8f0b95c029dca049356d4a2cf9710a")
    ->setRequesterEmailAddress("jack@dropboxsign.com")
    ->setTestMode(true)
    ->setFiles([
    ]);

try {
    $response = (new Dropbox\Sign\Api\UnclaimedDraftApi(config: $config))->unclaimedDraftCreateEmbedded(
        unclaimed_draft_create_embedded_request: $unclaimed_draft_create_embedded_request,
    );

    print_r($response);
} catch (Dropbox\Sign\ApiException $e) {
    echo "Exception when calling UnclaimedDraftApi#unclaimedDraftCreateEmbedded: {$e->getMessage()}";
}

```

```csharp C#
using System;
using System.Collections.Generic;
using System.IO;
using System.Text.Json;

using Dropbox.Sign.Api;
using Dropbox.Sign.Client;
using Dropbox.Sign.Model;

namespace Dropbox.SignSandbox;

public class UnclaimedDraftCreateEmbeddedExample
{
    public static void Run()
    {
        var config = new Configuration();
        config.Username = "YOUR_API_KEY";
        // config.AccessToken = "YOUR_ACCESS_TOKEN";

        var unclaimedDraftCreateEmbeddedRequest = new UnclaimedDraftCreateEmbeddedRequest(
            clientId: "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
            requesterEmailAddress: "jack@dropboxsign.com",
            testMode: true,
            files: new List<Stream>
            {
                new FileStream(
                    path: "./example_signature_request.pdf",
                    mode: FileMode.Open
                ),
            }
        );

        try
        {
            var response = new UnclaimedDraftApi(config).UnclaimedDraftCreateEmbedded(
                unclaimedDraftCreateEmbeddedRequest: unclaimedDraftCreateEmbeddedRequest
            );

            Console.WriteLine(response);
        }
        catch (ApiException e)
        {
            Console.WriteLine("Exception when calling UnclaimedDraftApi#UnclaimedDraftCreateEmbedded: " + e.Message);
            Console.WriteLine("Status Code: " + e.ErrorCode);
            Console.WriteLine(e.StackTrace);
        }
    }
}

```

```typescript TypeScript
import * as fs from 'fs';
import api from "@dropbox/sign"
import models from "@dropbox/sign"

const apiCaller = new api.UnclaimedDraftApi();
apiCaller.username = "YOUR_API_KEY";
// apiCaller.accessToken = "YOUR_ACCESS_TOKEN";

const unclaimedDraftCreateEmbeddedRequest: models.UnclaimedDraftCreateEmbeddedRequest = {
  clientId: "b6b8e7deaf8f0b95c029dca049356d4a2cf9710a",
  requesterEmailAddress: "jack@dropboxsign.com",
  testMode: true,
  files: [
    fs.createReadStream("./example_signature_request.pdf"),
  ],
};

apiCaller.unclaimedDraftCreateEmbedded(
  unclaimedDraftCreateEmbeddedRequest,
).then(response => {
  console.log(response.body);
}).catch(error => {
  console.log("Exception when calling UnclaimedDraftApi#unclaimedDraftCreateEmbedded:");
  console.log(error.body);
});

```

```java Java
package com.dropbox.sign_sandbox;

import com.dropbox.sign.ApiException;
import com.dropbox.sign.Configuration;
import com.dropbox.sign.api.*;
import com.dropbox.sign.auth.*;
import com.dropbox.sign.JSON;
import com.dropbox.sign.model.*;

import java.io.File;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.OffsetDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class UnclaimedDraftCreateEmbeddedExample
{
    public static void main(String[] args)
    {
        var config = Configuration.getDefaultApiClient();
        ((HttpBasicAuth) config.getAuthentication("api_key")).setUsername("YOUR_API_KEY");
        // ((HttpBearerAuth) config.getAuthentication("oauth2")).setBearerToken("YOUR_ACCESS_TOKEN");

        var unclaimedDraftCreateEmbeddedRequest = new UnclaimedDraftCreateEmbeddedRequest();
        unclaimedDraftCreateEmbeddedRequest.clientId("b6b8e7deaf8f0b95c029dca049356d4a2cf9710a");
        unclaimedDraftCreateEmbeddedRequest.requesterEmailAddress("jack@dropboxsign.com");
        unclaimedDraftCreateEmbeddedRequest.testMode(true);
        unclaimedDraftCreateEmbeddedRequest.files(List.of (
            new File("./example_signature_request.pdf")
        ));

        try
        {
            var response = new UnclaimedDraftApi(config).unclaimedDraftCreateEmbedded(
                unclaimedDraftCreateEmbeddedRequest
            );

            System.out.println(response);
        } catch (ApiException e) {
            System.err.println("Exception when calling UnclaimedDraftApi#unclaimedDraftCreateEmbedded");
            System.err.println("Status code: " + e.getCode());
            System.err.println("Reason: " + e.getResponseBody());
            System.err.println("Response headers: " + e.getResponseHeaders());
            e.printStackTrace();
        }
    }
}

```

```ruby Ruby
require "json"
require "dropbox-sign"

Dropbox::Sign.configure do |config|
    config.username = "YOUR_API_KEY"
[...]
